> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an App

> This endpoint creates an app.

## Auth Headers

<ParamField required header="x-metal-api-key" type="string">
  An API key for your org.
</ParamField>

<ParamField required header="x-metal-client-id" type="string">
  A Client ID for your org.
</ParamField>

## Body

<ParamField body="name" type="string" placeholder="name of the app" required>
  Name of the App.
</ParamField>

<ParamField body="indexes" type="array" placeholder="['indexID']" optional>
  An array containing the ID of the index you want to connect with the app. This array can have a maximum length of 1.
</ParamField>

## Response

<ResponseField name="data" type="App Object">
  <Expandable title="properties">
    <ResponseField name="id" type="string">
      Id of the app.
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the app.
    </ResponseField>

    <ResponseField name="indexes" type="array">
      An array indicating the connected index for the app. Empty if there are is connected index.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash theme={null}
  curl --location --request POST 'https://api.getmetal.io/v1/apps' \
  --header 'Content-Type: application/json' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <client-id>' \
  --data-raw '{
      "name": "Metal App"
      "indexes": ["indexID"]
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
      "data": {
          "id": "6535126922af1b89d6d22ffa",
          "name": "Metal App",
          "indexes": ["indexID"]
      }
  }
  ```
</ResponseExample>
